Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.core.ext.soyc
Interface Story

All Superinterfaces:
  java.io.Serializable

    public interface Story

extends java.io.Serializable

Represents a (possibly disjoint) region of the JavaScript output for which metadata is available.

Method Summary
`java.lang.String` | `getLiteralTypeName()` If the Story represents a literal value, this method will return a description of the type of literal.
`java.util.SortedSet<Member>` | `getMembers()` Gets the Members of the compilation that the Story is about.

Method Detail

### getLiteralTypeName

    java.lang.String getLiteralTypeName()

  If the Story represents a literal value, this method will return a description of the type of literal. If the Story does not represent a literal, this method will return `null`.

### getMembers

    java.util.SortedSet<Member> getMembers()

  Gets the Members of the compilation that the Story is about.

Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD